Name: solfege
Version: 3.18.7
Release: alt1.2

Summary: Eartraining program for GNOME
License: GPLv3
Group: Education

#Url: http://solfege.sourceforge.net
Url: http://www.solfege.org
Source: http://download.sourceforge.net/solfege/%name-%version.tar.gz
Patch: solfege-3.14.2-alt-desktop.patch
Packager: Alex Karpov <karpov@altlinux.org>

%define python_ver 2.4
%define pygnome_ver 2.6.0
%define pygtk_ver 2.12.0
%define gtkhtml_ver 1.99.6

BuildArch: noarch

# Automatically added by buildreq on Thu Jul 15 2010
BuildRequires: docbook-style-xsl gnome-doc-utils librsvg-utils libuuid-devel lilypond python-devel python-module-pygobject python-modules-logging swig

#BuildRequires: python-devel = %__python_version

BuildRequires: python-devel >= %python_ver
BuildRequires: python-module-pygtk-devel >= %pygtk_ver
BuildRequires: python-module-pygnome >= %pygnome_ver
BuildRequires: libgtkhtml2-devel >= %gtkhtml_ver

BuildRequires: xsltproc >= 1.0.30-alt2
BuildRequires: gnome-doc-utils
# ...or something like 1.23-alt1, but *before* 1.29-alt1

Requires: pygtk2 >= %pygtk_ver, libgtkhtml2 >= %gtkhtml_ver
Requires: python >= %python_ver, gnome-python2 >= %pygnome_ver
Requires: python-module-pygnome-bonobo python-module-pygnome-canvas pyorbit
Requires: python-module-pygnome-gtkhtml2
Requires: python-modules-sqlite3

Summary(ru_RU.KOI8-R):   .
Summary(uk_UA.KOI8-U):   .

AutoReqProv: yes, nopython
# Requires: python-strict

%description
Solfege is an eartraining program for X written in python, using the
GTK+ and GNOME libraries. This is a development release, things might
be broken. See INSTALL file if you have problems running or installing
Solfege. Report your problems to solfege-devel@lists.sourceforge.net

Eartraining is a big subject with many connections to music theory and
performance of music, so I won't even try to make "a complete
computerbased eartraining course". But I hope someone find this
software useful.

%description -l ru_RU.KOI8-R
Solfege --    ,   Python 
  GTK+  GNOME.

  --   ,      
 .       " ",   
 ,     .

%description -l uk_UA.KOI8-U
Solfege --    ,    Python  
¦̦ GTK+  GNOME.

%prep
%setup
%patch -p1

%build
XSLPATH=`echo "system http://docbook.sourceforge.net/release/xsl/current" \
	| xmlcatalog --shell \
	| sed 's,^.*file://,,' \
	| head -1`
[ -n "$XSLPATH" ] && {
	XSLOPT="--enable-docbook-stylesheet=$XSLPATH/html/chunk.xsl"
} || {
	XSLOPT="--with-local-xmlcatalog"
}
export PYTHON=%__python
%configure \
	--with-gtkhtml \
	--disable-oss-sound \
#	$XSLOPT
#	--enable-tuner \
#	--with-swig13 \

%make_build

%install
%makeinstall nopycompile=YES
# WITH_SWIG13=yes

rm -f %buildroot%_pixmapsdir/%name.png
install -pDm644 graphics/%name.png %buildroot%_niconsdir/%name.png
install -pD %name.desktop %buildroot%_desktopdir/%name.desktop

# force python to optimize generated bytecode
subst 's@!%__python\(.*\)@!%__python\1 -O@' %buildroot%_bindir/%name

%find_lang --output=%name.lang %name %name-intervallnames

find %buildroot%_datadir/%name/ -name '*.pyc' -delete

# put only optimized bytecode and necessary .py's into the package
%files -f %name.lang
%_bindir/*
%dir %_datadir/%name
%_datadir/%name
%_niconsdir/*
%_desktopdir/*
%_man1dir/*
#_libdir/%name

%config(noreplace) %_sysconfdir/*
%doc AUTHORS FAQ README COPYING INSTALL changelog

%changelog
* Fri Mar 25 2011 Alex Karpov <karpov@altlinux.ru> 3.18.7-alt1.2
- rebuild with new python-module-pygtk

* Mon Jan 24 2011 Alex Karpov <karpov@altlinux.ru> 3.18.7-alt1.1
- updated requirements (close #24952)

* Wed Nov 03 2010 Alex Karpov <karpov@altlinux.ru> 3.18.7-alt1
- new version

* Thu Oct 21 2010 Alex Karpov <karpov@altlinux.ru> 3.18.5-alt1
- new (mostly bugfix) release

* Thu Oct 14 2010 Alex Karpov <karpov@altlinux.ru> 3.18.4-alt1
- new version

* Tue Oct 12 2010 Alex Karpov <karpov@altlinux.ru> 3.18.3-alt1
- new version
    + typo in summary fixed (thanks to Egor Vyscrebentsov)

* Thu Oct 07 2010 Alex Karpov <karpov@altlinux.ru> 3.18.1-alt1
- new version
    + OSS sound now disabled
    
* Thu Sep 23 2010 Alex Karpov <karpov@altlinux.ru> 3.18.0-alt1
- new version

* Sat Jul 31 2010 Alex Karpov <karpov@altlinux.ru> 3.16.4-alt1
- new version
    + reenabled OSS, build fixed by upstream BTS

* Thu Jul 15 2010 Alex Karpov <karpov@altlinux.ru> 3.16.3-alt1.1
- OSS disabled (workaround for build with swig 2.0.0)

* Thu May 20 2010 Alex Karpov <karpov@altlinux.ru> 3.16.3-alt1
-  new version

* Fri Apr 02 2010 Alex Karpov <karpov@altlinux.ru> 3.16.0-alt1
- new version

* Tue Dec 22 2009 Michael Shigorin <mike@altlinux.org> 3.14.10-alt1
- 3.14.10
- added missing hash-bug-workaround/

* Sat Jun 06 2009 Michael Shigorin <mike@altlinux.org> 3.14.2-alt3
- whoops, misplaced desktop file (*fixed* categories too)
- dropped unneeded pixmap in legacy location

* Tue Jun 02 2009 Michael Shigorin <mike@altlinux.org> 3.14.2-alt2
- fixed desktop file
- fixed icons path
- NB: better maintainers welcome :)

* Sun May 31 2009 Michael Shigorin <mike@altlinux.org> 3.14.2-alt1
- 3.14.2
- picked up an orphan
- me as a Packager: again
- spec cleanup

* Tue Mar 18 2008 Alex Karpov <karpov@altlinux.ru> 3.10.3-alt1
- 3.10.3

* Tue Mar 18 2008 Alex Karpov <karpov@altlinux.ru> 3.10.2-alt1
- 3.10.2

* Tue Feb 26 2008 Alex Karpov <karpov@altlinux.ru> 3.8.2-alt1.1
- rebuild with python 2.5.1

* Wed Sep 05 2007 Alex Karpov <karpov@altlinux.ru> 3.8.2-alt1
- new version

* Fri May 11 2007 Alex Karpov <karpov@altlinux.ru> 3.8.0-alt1
- new version
- spec cleanup

* Mon Feb 26 2007 Alex Karpov <karpov@altlinux.ru> 3.6.5-alt1
- new version

* Tue Dec 12 2006 Alex Karpov <karpov@altlinux.ru> 3.6.4-alt1
- new version

* Fri Dec 08 2006 Alex Karpov <karpov@altlinux.ru> 3.6.3-alt1
- new version

* Thu Oct 19 2006 Alex Karpov <karpov@altlinux.ru> 3.6.2-alt3
- rebuild
- updated %files section

* Wed Oct 18 2006 Alex Karpov <karpov@altlinux.ru> 3.6.2-alt2
- fixed:
    5620

* Tue Oct 17 2006 Alex Karpov <karpov@altlinux.ru> 3.6.2-alt1
- new version
- updated build reqs

* Mon Oct 16 2006 Alex Karpov <karpov@altlinux.ru> 3.6.1-alt1
- new version

* Wed Feb 08 2006 Igor Vlasenko <viy@altlinux.ru> 3.0.4-alt5
- old bugs fixed:
     #4406
     #5620

* Mon Jan 30 2006 Igor Vlasenko <viy@altlinux.ru> 3.0.4-alt4
- picked up from orphaned
- new version;

* Sat Jul 03 2004 Michael Shigorin <mike@altlinux.ru> 2.0.5-alt3
- *changed* group... (#4406)

* Fri Jun 18 2004 Michael Shigorin <mike@altlinux.ru> 2.0.5-alt2
- updated build reqs
- fixed build
- changed group to Applications/Edutainment (#4406) -- thanks to
  Vitaly Lipatov (lav@) for prompting
- had to turn off python autorequires until real fix

* Wed Apr 07 2004 Michael Shigorin <mike@altlinux.ru> 2.0.5-alt1
- 2.0.5

* Sat Feb 14 2004 Michael Shigorin <mike@altlinux.ru> 2.0.4-alt1
- 2.0.4
- reguilt against recent/fixed python/pygtk2

* Sat Nov 01 2003 Michael Shigorin <mike@altlinux.ru> 2.0.3-alt1
- 2.0.3
- built with libfftw
- updated buildrequires

* Mon Oct 20 2003 Michael Shigorin <mike@altlinux.ru> 2.0.2-alt2
- rebuild

* Tue Sep 23 2003 Michael Shigorin <mike@altlinux.ru> 2.0.2-alt1
- 2.0.2 (major bugfixes)

* Thu Sep 11 2003 Michael Shigorin <mike@altlinux.ru> 2.0.1-alt1
- 2.0.1
- removed aclocal && autoconf as configure blows up then

* Mon Sep 08 2003 Michael Shigorin <mike@altlinux.ru> 2.0.0-alt1
- 2.0.0
- spec cleanup (upstream got several fixes)
- added Packager: field

* Sat Aug 16 2003 Michael Shigorin <mike@altlinux.ru> 1.9.99-alt2
- worked around typo in upstream leading to partial online-docs
  install and missing .png's

* Thu Aug 14 2003 Michael Shigorin <mike@altlinux.ru> 1.9.99-alt1
- 1.9.99
- worked around changed module installation (remove that WITH_SWIG13 when it
  gets fixed)
- updated BuildRequires (also forced links into)

* Mon Jul 14 2003 Michael Shigorin <mike@altlinux.ru> 1.9.11-alt1
- 1.9.11
- FYI: win32 version is available at solfege.org

* Thu Jul 03 2003 Michael Shigorin <mike@altlinux.ru> 1.9.10-alt1
- 1.9.10

* Tue Apr 29 2003 Michael Shigorin <mike@altlinux.ru> 1.9.9-alt1
- 1.9.9
- forced xsltproc version since docs wouldn't build with xsltproc-1.29-alt1
  (thanks to Vitaly Ostanin and Mikhail Zabaluev for assistance)

* Fri Feb 07 2003 Michael Shigorin <mike@altlinux.ru> 1.9.8-alt1
- 1.9.8
- patch1 removed
- chunk.xsl discovery implemented (hopefully) instead of hardwiring the path

* Fri Dec 27 2002 Michael Shigorin <mike@altlinux.ru> 1.9.5-alt1
- 1.9.5
- patches 1-3 from 1.9.4-alt1 are no more needed
- icon typo fixed (%%install)

* Wed Dec 18 2002 Michael Shigorin <mike@altlinux.ru> 1.9.4-alt1.1
- added missing dependency on gnome-python2-gtkhtml2
- moved from Sound to Education group
  (both thanks to Alexandre Prokoudine <avp@altlinux.ru>)

* Wed Dec 18 2002 Michael Shigorin <mike@altlinux.ru> 1.9.4-alt1
- 1.9.4 (unstable)
- GTK2/GNOME2 based
- builds with gnome after taking strange pygnome check out of configure
- small altish fix regarding xsl-stylesheets path
- updated translation
- spec cleanup

* Mon Oct 14 2002 Michael Shigorin <mike@altlinux.ru> 1.4.8-alt1
- 1.4.8

* Tue Aug 27 2002 Michael Shigorin <mike@altlinux.ru> 1.4.7-alt1
- 1.4.7

* Fri May 03 2002 Michael Shigorin <mike@altlinux.ru> 1.4.6-alt0.3
- new version
- switch off gtkhtml as it appears to give a trouble
- updated link in welcome message for 1.3/1.4 (was broken)

* Sat Feb 23 2002 1.4.3-alt0.9
- new version

* Thu Jan 31 2002 1.4.2-alt0.3
- PreReq pygnome >= 1.4.2-alt4 (LC_NUMERIC bug resolved)
- built --with-gtkhtml. Now we have pygnome-gtkhtml package.

* Tue Jan 30 2002 Michael Shigorin <mike@altlinux.ru> 1.4.2-alt0.2
- new version
- small cleanups (as usual, by Yuri Sedunov <aris@altlinux.ru>)
- python optimization

* Wed Jan  9 2002 Michael Shigorin <mike@altlinux.ru> 1.4.1-alt0.9
- no more building --with-gtkhtml as pygnome appears being built without
  gtkhtml support
- massive spec fixes by Yuri Sedunov <aris@altlinux.ru>

* Sun Jan  6 2002 Michael Shigorin <mike@altlinux.ru> 1.4.1-alt0.8
- applied spec corrections by Yuri Sedunov <aris@altlinux.ru>

* Fri Dec 28 2001 Michael Shigorin <mike@altlinux.ru> 1.4.1-alt0.2
- tiny Makefile fix and Python >= 2.1 PreReq added (would build but
  not run with < 2.1)

* Thu Dec 27 2001 Michael Shigorin <mike@altlinux.ru> 1.4.1-alt0.1
- new version

* Wed Dec  5 2001 Michael Shigorin <mike@altlinux.ru> 1.2.1-alt0.9
- alt0.9
- russian welcome.html
- configure patch backported from 1.3.2; also thanks to
  Mikhail Zabaluev <mhz@alt-linux.org>

* Mon Dec  3 2001 Michael Shigorin <mike@altlinux.ru> 1.2.1-alt0.8
- alt0.8
- spec cleanup
- ru.po (needs more inspired work; lessons untouched)
- UGLY HACK on *my* system: ln -s %_includedir/python2.0 %_includedir/python
